# Define server logic

server <- function(input, output) {
  
  library(shinyjqui)
  library(shiny)
  
  jqui_draggable(ui = "#runtgrafen")
  jqui_draggable(ui = "#info")
  jqui_draggable(ui = "#kommentarer")
  jqui_draggable(ui = "#ovningar")
  
  jqui_resizable(ui = ".infoyta")
  
output$grafen <- renderPlot({
input$nysim
   
x2 <- reactive({ matrix(rnorm(input$antalvariabler*input$antalvarden, 50, 5), input$antalvarden, input$antalvariabler) })
   
   plot(range(30:70), range(-3.5:3.5), type = "n", main = "Normalfördelningsdiagram", xlab = "Simulerade datavärden", ylab ="", yaxt='n')      # skapar en tom graf

    for (i in 1:input$antalvariabler) {                           # Antal plottar/linjer i diagrammet.
      points(qqnorm(x2()[,i], plot.it=F, datax=TRUE), col = 5+i)
      qqline(x2()[,i], datax=TRUE, col = 5+i)
    }

    x <- rnorm(input$antalvarden, input$medel, input$stand)
    points(qqnorm(x, plot.it=F, datax=TRUE), col = 3, pch = 16, cex = 1.5)
    qqline(x, datax=TRUE, col = 3)

 })

observeEvent(input$reset, {
  updateSliderInput(inputId = "antalvariabler", value = 4)
  updateSliderInput(inputId = "antalvarden", value = 200)
  updateSliderInput(inputId = "medel", value = 50)
  updateSliderInput(inputId = "stand", value = 5)
})

    
}